=== debian/changelog ===
grip (4.2.0-3) unstable; urgency=medium

  * Document environment variables in the man page (Closes: #827144).

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Sun, 03 Jul 2016 15:52:30 -0300

grip (4.2.0-2) unstable; urgency=medium

  * Bump 'Standards-Version' to 3.9.8 (no changes needed).
  * Install application in a private module directory:
    - Add 'debian/grip.links', linking '/usr/share/grip/run' to
    '/usr/bin/grip'.
    - Remove custom entry point script, dropping 'debian/bin/grip' and
    'debian/grip.install'.
    - Update 'override_dh_auto_install' in 'debian/rules'.

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Thu, 19 May 2016 05:54:06 -0300

grip (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add README.source explaining how to build the package with 'gbp' or
    manually generate an orig tarball from the 'upstream' branch.
  * Bump copyright year for Joe Esposito.
  * Update man page adding new '--no-inline' option.

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Sun, 17 Apr 2016 15:10:29 -0300

grip (4.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #790611)

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Mon, 04 Apr 2016 14:26:23 -0300
