=== debian/control ===
Source: grip
Section: utils
Priority: optional
Maintainer: Tiago Ilieve <tiago.myhro@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-docopt,
               python3-flask,
               python3-path-and-address,
               python3-pytest,
               python3-requests,
               python3-responses (>= 0.5.0),
               python3-setuptools
Build-Depends-Indep: txt2man
Standards-Version: 3.9.8
Testsuite: autopkgtest
X-Python-Version: >= 3.3
Homepage: https://github.com/joeyespo/grip
Vcs-Git: https://anonscm.debian.org/git/collab-maint/grip.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/grip.git

Package: grip
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Preview GitHub Markdown files like Readme locally
 Grip is a command-line server application written in Python that uses the
 GitHub markdown API to render a local readme file. The styles come directly
 from GitHub, so you'll know exactly how it will appear. Changes you make to
 the Readme will be instantly reflected in the browser without requiring a page
 refresh.
