=== debian/changelog ===
grip (4.6.1-3) unstable; urgency=medium

  * Team Upload
  * Replace usage of "py.test-3" compat symlink with canonical "pytest"
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is the default now
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Tue, 28 Oct 2025 15:30:06 +0100

grip (4.6.1-2) unstable; urgency=medium

  * Drop use of octicons. Closes: #1084212

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 07 Oct 2024 16:23:06 +0200

grip (4.6.1-1) unstable; urgency=medium

  * d/control: Rescue this old package and move it into python-team maintenance.
  * d/watch: modernize
  * New upstream version. Closes: #832000, #1025825, #953967, #1023627, #1023626
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Drop ancient X-Python-Version field (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * d/upstream/metadata: added
  * d/patches/0001-Support-Werkzeug-3-by-using-a-default-encoding-of-
    UT.patch: cherry-picked from upstream
  * d/control,d/docs/grip.txt: make explicit that all documents are sent
    to GitHub/Microsoft. Closes: #877001
  * d/rules: delete any lingering ".pytest_cache" folders

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 29 Jun 2024 18:10:49 +0200

grip (4.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #832000).
  * Fix Octicons 'duplicate-font-file' lintian warning (thanks to Dmitry
    Bogatov):
    - Add 'debian/grip.linktrees'.
    - debian/control: add 'dh-linktree' and 'octicons' build dependencies.
    - debian/rules: add 'linktree' helper.

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Fri, 22 Jul 2016 19:18:10 -0300
