=== debian/control ===
Source: grip
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-docopt,
               python3-flask,
               python3-path-and-address,
               python3-pytest,
               python3-requests,
               python3-responses,
               python3-setuptools
Build-Depends-Indep: txt2man
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/grip
Vcs-Git: https://salsa.debian.org/python-team/packages/grip.git
Homepage: https://github.com/joeyespo/grip

Package: grip
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Preview GitHub Markdown files like Readme locally
 Grip is a command-line server application written in Python that uses the
 GitHub markdown API to render a local readme file. The styles come directly
 from GitHub, so you'll know exactly how it will appear. Changes you make to
 the Readme will be instantly reflected in the browser without requiring a page
 refresh.
 .
 Privacy notice: by default all documents will be sent to GitHub (Microsoft).
