=== debian/tests/control ===
Test-Command: pytest tests/test_cli.py
Depends: @, python3-pytest
Restrictions: allow-stderr
